package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysPlanMapper;
import com.ruoyi.system.domain.SysPlan;
import com.ruoyi.system.service.ISysPlanService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-06-09
 */
@Service
public class SysPlanServiceImpl implements ISysPlanService 
{
    @Autowired
    private SysPlanMapper sysPlanMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SysPlan selectSysPlanById(Long id)
    {
        return sysPlanMapper.selectSysPlanById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SysPlan> selectSysPlanList(SysPlan sysPlan)
    {
        return sysPlanMapper.selectSysPlanList(sysPlan);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSysPlan(SysPlan sysPlan)
    {
        sysPlan.setCreateTime(DateUtils.getNowDate());
        return sysPlanMapper.insertSysPlan(sysPlan);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysPlan 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSysPlan(SysPlan sysPlan)
    {
        return sysPlanMapper.updateSysPlan(sysPlan);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysPlanByIds(Long[] ids)
    {
        return sysPlanMapper.deleteSysPlanByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysPlanById(Long id)
    {
        return sysPlanMapper.deleteSysPlanById(id);
    }
}
